import type { Params, Route, Title, Callback } from './types';
declare class SharpRouter {
    params: Params;
    currentRoute: Route;
    currentTitle: Title;
    _routes: Record<Route, Route>;
    _titles: Record<Route, Title>;
    _changeListeners: Callback[];
    constructor(routes: Record<Route, Title>);
    _setParams: (params: Params) => void;
    _setCurrentRoute: (route: Route) => void;
    _setCurrentTitle: (title: Title) => void;
    _removeHash: () => void;
    _syncWithHash: () => void;
    setRoutes: (routes: Record<Route, Title>) => void;
    navigateTo: (route: Route) => void;
    refresh: () => void;
    _callChangeListeners: () => void;
    addChangeListener: (onChange: Callback) => void;
}
export default SharpRouter;
